{
  pkgs,
  inputs,
  ...
}: {
  imports = with inputs; [
    nix-index-database.hmModules.nix-index
    catppuccin.homeManagerModules.catppuccin
    chaotic.homeManagerModules.default
    nix-colors.homeManagerModules.default
  ];

  snowfallorg.user = {
    enable = true;
    name = "marshall";
  };

  home = {
    packages = with pkgs;
      [
        alejandra
        bit
        cargo-edit
        cargo-udeps
        cmake
        duf
        eternal-terminal
        grc
        huniq
        hurl
        igrep
        keybase
        keychain
        monolith
        nix-output-monitor
        nix-prefetch-scripts
        nixd
        nodePackages_latest.nodejs
        nurl
        pinentry_mac
        pkg-config
        pnpm
        rm-improved
        rnr
        slack
        stylua
        tailspin
        tokei
        typst
        typst-live
        typstfmt
        unrar
        unzip
        upx
        vgrep
        wget
        xcp
        xh
      ]
      ++ (with inputs; [nixvim.packages.${pkgs.system}.default]);

    stateVersion = "24.05";
  };

  programs = {
    bacon.enable = true;
    btop.enable = true;
    bun.enable = true;
    gpg.enable = true;
    skim.enable = false;
    tealdeer.enable = false;
    wezterm.extraConfig = builtins.readFile ./wezterm.lua;

    git = {
      extraConfig.credential.helper = "osxkeychain";
      signing.key = "874E22DF2F9DFCB5";
    };
  };
}
